ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
Enderאורח · ·
 

הודעה פורסם: 05/03/2017 - 14:53
נושא ההודעה: פייתון 3 על שרתי RH7

שלום לכולם
אשמחח לשמוע דעת חכמים...
אני מכין תשתית לפיתוח בפייתון על שרתי RH7
אופי התוכנות שנידרש לפתח הן בעיקר העברות קבצים, ETL וכדומה.

לדברי אנשי הסיסטם בארגון שלי, אין במקורות הרשמיים של RH7 את פייתון 3 או אנקונדה 3.

מאחר והקוד שאפתח יצטרך לעבוד גם עם קלטים בעברית, אני רוצה לפתח בפייתון 3 (תמיכה יותר טובה ביוניקוד)

האם כדאי לקמפל פייתון 3?
האם כדאי להסתמך על אנקונדה כיוון שבה יש תמיכה בתשלום?

אשמח לקבל מידע לגבי השיקולים השונים שכדאי לי לתת עליהם את הדעת.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 05/03/2017 - 16:51
נושא ההודעה:

אין פייתון 3 בepel ?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
astralcלא בפורום כעת ת.הצטרפות: 07/04/2006 · הודעות: 67 ·
 

הודעה פורסם: 05/03/2017 - 17:28
נושא ההודעה:

מה עם software collections?
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית ביקור באתר המפרסם MSN Messenger  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
mksoftלא בפורום כעתSite Admin ת.הצטרפות: 17/03/2002 · הודעות: 10252 · מיקום: כדור הארץ
 

הודעה פורסם: 05/03/2017 - 20:51
נושא ההודעה:

זה נמצא במאגר EPEL עבור RH EL 7. הנה דוגנמא:
https://www.badllama.com/content/installing-python-3x-rhel-7-centos-7

ב-software collections אמור להיות גם 3.5 ככל הזכור לי.

_________________
הבלוג שלי
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית שלח דוא\ ביקור באתר המפרסם  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
noopsterלא בפורום כעת ת.הצטרפות: 29/03/2017 · הודעות: 1 ·
 

הודעה פורסם: 29/03/2017 - 10:57
נושא ההודעה:

בעיה כאובה.
למיטב זכרוני בEPEL יש את Python3.4, בהנחה שהארגון מאפשר את השימוש בEPEL.

אם אתה צריך גירסה חדשה יותר - אז SCL זה הפתרון(נמצא ב RHN)

באופן אישי, אני אקמפל מהסורס רק כאופציה אחרונה בהחלט. יכול ליצור המון בעיות אחרי זה. אם אתה מתחיל מאפס, אולי תשתמש בFedora?, מגרסה 24, python3 הוא הdefault(למעשה בגרסת הבסיס אפילו אין python2 out-of-the-box). כמובן שלfedora התקורות שלו(שדרוג פעם בשנה לפחות..).
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח [Ender]
  2. אורח
  3. astralc
  4. mksoft
  5. noopster

Google Ads